﻿@model LoyaltyPointEngine.Model.Object.Promo.PromoModel
@{
    string titl = ViewBag.HeadTitle;
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>@titl</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> @titl</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.Promo.AddJson(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddPromo" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    @Html.HiddenFor(x => x.ID)
                    <div class="form-group">
                        <label class="col-md-3 control-label">Kode Promo <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.PromoCode, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">IsCheck <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.IsCheck, new SelectList(
                            new List<SelectListItem> {
                               new SelectListItem { Value = "True" , Text = "True" },
                               new SelectListItem { Value = "False" , Text = "False" }}, "Value", "Text", "")
                            , new { @class = "form-control" })
                        </div>
                    </div>
    <div class="form-group">
        <label class="col-md-3 control-label">Need Code Voucher </label>
        <div class="col-md-9">
            @Html.DropDownListFor(x => x.IsVoucher, new SelectList(
                                                            new List<SelectListItem> {
                                                               new SelectListItem { Value = "True" , Text = "True" },
                                                               new SelectListItem { Value = "False" , Text = "False" }}, "Value", "Text", "")
                                                            , new { @class = "form-control" })
        </div>
    </div>
    <div class="form-group">
        <label class="col-md-3 control-label">
            Promo For <span class="required">*</span><br />
            <small>Need to fill Existing Member/New Member Field Respond</small>
        </label>
        <div class="col-md-9">
            @Html.DropDownListFor(x => x.Status, new SelectList(
                                                                            new List<SelectListItem> {
                                                                               new SelectListItem { Value = "All" , Text = "All" },
                                                                               new SelectListItem { Value = "Member Existing" , Text = "Member Existing" },
                                                                               new SelectListItem { Value = "New Member" , Text = "New Member" }}, "Value", "Text", "")
                                                                            , new { @class = "form-control" })
        </div>
    </div>
    <div class="form-group">
        <label class="col-md-3 control-label">Description </label>
        <div class="col-md-9">
            @Html.TextAreaFor(x => x.Description, new { @class = "form-control" })
        </div>
    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Tanggal Mulai <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.StartDate, new { @class = "form-control datepicker2", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Tanggal Berakhir <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.EndDate, new { @class = "form-control datepicker2", @required = "required" })
                        </div>
                    </div>


                    <div class="form-group">
                        <label class="col-md-3 control-label">Msg Response Berhasil </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.MsgResponse, new { @required = "required", @class = "form-control", @maxlength = "160" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Msg Response Unik Kode Expired </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.MsgResponseFailedUnikKodeExp, new { @required = "required", @class = "form-control", @maxlength = "160" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Msg Response Unik Kode Telah digunakan </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.MsgResponseFailedUnikKodeUsed, new { @required = "required", @class = "form-control", @maxlength = "160" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Msg Response Unik Kode Not Found </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.MsgResponseFailedUnikKodeNotFound, new { @required = "required", @class = "form-control", @maxlength = "160" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">Msg Response Under 1 Year </label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.MsgResponseUnderOneYear, new { @required = "required", @class = "form-control", @maxlength = "160" })
                        </div>
                    </div>
    <div class="form-group">
        <label class="col-md-3 control-label">Existing Member/New Member Response</label>
        <div class="col-md-9">
            @Html.TextAreaFor(x => x.MsgResponseStatus, new { @required = "required", @class = "form-control", @maxlength = "160" })
        </div>
    </div>
    <div class="form-group">
        <label class="col-md-3 control-label">Channel </label>
        <div class="col-md-9">
            @Html.DropDownListFor(x => x.ChannelId, ViewBag.Channel as List<SelectListItem>, new { @required = "required", @class = "form-control" })
        </div>
    </div>
                     <div class="form-group">
                        <label class="col-md-3 control-label">Interval</label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.interval, new { @class = "form-control", @maxlength = "160" })
                        </div>
                    </div>
                    @*<div class="form-group">
                            <label class="col-md-3 control-label">IsActive </label>
                            <div class="col-md-9">
                                @Html.DropDownListFor(x => x.IsActive, new SelectList(
                                new List<SelectListItem> {
                                   new SelectListItem { Value = "True" , Text = "True" },
                                   new SelectListItem { Value = "False" , Text = "False" }}, "Value", "Text", Model.IsActive.ToString())
                                , new { @class = "form-control" })
                            </div>
                        </div>*@

                    <div class="form-actions">
                        <input type="button" value="Submit" class="btn btn-primary pull-right" id="btn-submit" />
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>

@section FooterScript{
    <script>


        //validation
        $(document).ready(function () {
            $(".datepicker2").datepicker({
                defaultDate: +7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())


            $('input[name=PromoCode]').on('blur', function (e) {
                if ($(this).val().length > 3) {
                    //var url = window.location.href;
                    //url = url.replace("/Receipt/Add", "");
                    $.ajax({
                        type: "post",
                        url: "@Url.Action(MVC.Promo.CheckDuplicatePromoCode())",
                        data: { "PromoCode": $(this).val() },
                        success: function (data) {
                            if (data != "") {
                                alert(data);
                            }
                            HideLoader();
                        },
                        error: function (request, status, error) {
                            alert(request.responseText);
                            HideLoader();
                        }
                    });
                }
            });

            $('#btn-submit').click(function () {
                if ($("#formAddPromo").valid()) {
                    $("#formAddPromo").submit();
                }
            });

            $(document).on('click', '#btn-retry-submit-form', function () {
                if (validateSizeImage() && $("#formAddPromo").valid()) {
                    $("#formAddPromo").submit();
                }
            });

            $("#formAddPromo").submit(function (ev) {
                $('.error-widget').hide();
                ev.preventDefault();
                ShowLoader();
                var formData = new FormData($(this)[0]);
                $.ajax({
                    type: $(this).attr('method'),
                    url: $(this).attr('action'),
                    cache: false,
                    contentType: false,
                    processData: false,
                    async: false,
                    data: formData,
                    success: function (data) {
                        console.log(data);
                        HideLoader();
                        var strAlert = '';
                        strAlert += data.Message;

                        if (data.IsSuccess) {
                            alert(strAlert);
                            window.location.href = "@Url.Action(MVC.Promo.Index())";
                        } else {

                            $('.error-widget').show();
                            $('.message-error-detail').html(strAlert);

                        }
                    },
                    error: function (request, status, error) {
                        //alert(request.responseText);
                        var strAlert = '';
                        if (request.responseText != undefined && request.responseText != '') {
                            strAlert += request.responseText;
                        } else if (request.statusText != undefined && request.statusText != '') {
                            strAlert += request.statusText;
                        } else {
                            strAlert += 'Error occured when submit data';
                        }

                        $('.error-widget').show();
                        //strAlert += "<br/><button value='Retry' id='btn-retry-submit-form' type='button' class='btn btn-primary' style='height:30px;'>Retry Submit</button>";
                        $('.message-error-detail').html(strAlert);
                        HideLoader();
                    }
                });

            });

        });
    </script>
}
